#pragma once

#include "Image/GeomTexture.h"



namespace geom
{


class TextureLib
{
public:
	void Clear(void);

	gl::GlTexture* FindTexture(const std::string& filepath);
	gl::GlTexture* LoadFromFile(const std::string& filepath);

public:
	boost::ptr_vector<gl::GlTexture> Textures;
};


}
